Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Has anyone successfully deployed a WTP ear to Weblogic 8.1?
Has anyone successfully deployed a WTP ear to Weblogic 8.1? [message #182237] Sun, 05 November 2006 21:14 Go to next message
Eclipse User
Originally posted by: nospam.nospam.com

Platform:
- Windows XP Pro
- Eclipse 3.2.1
- WTP 1.5.2
- Weblogic 8.1
- jdk 1.4.2_12 (due to Weblogic version)

I've been working for days trying to do this, but I absolutely cannot get my
EAR project to deploy to my Generic Weblogic 8.1. server. It will
successfully deploy if I do it manually through the console, but within WTP
I get error messages like "Module type is not compatible" and "Publish
failed using ant publisher".

I found a bug report describing exactly my situation
(https://bugs.eclipse.org/bugs/show_bug.cgi?id=121798), but that applied to
a previous version and has since been fixed. Is there *anything* I may be
missing??

Thanks for any input.
Re: Has anyone successfully deployed a WTP ear to Weblogic 8.1? [message #183514 is a reply to message #182237] Wed, 29 November 2006 22:47 Go to previous messageGo to next message
Rob Frost is currently offline Rob Frost
Messages: 64
Registered: July 2009
Member
Hi,

I just successfully deployed and executed an EAR with web child module using
the generic WebLogic 8.1 adapter in the final 1.5.2 WTP release

The problem you are hitting does sound similar to bug 121798 - you can
verify that one by looking at the contents of the following file in your
eclipse install:
plugins\org.eclipse.jst.server.generic.serverdefinitions_1.0 .0\servers\weblogic81.serverdefIf
it contains <type>jjst.ear</type>, you do not have a version with the
fix.-Rob

"CDickerson" <nospam@nospam.com> wrote in message
news:eilk7o$ubn$1@utils.eclipse.org...
> Platform:
> - Windows XP Pro
> - Eclipse 3.2.1
> - WTP 1.5.2
> - Weblogic 8.1
> - jdk 1.4.2_12 (due to Weblogic version)
>
> I've been working for days trying to do this, but I absolutely cannot get
> my EAR project to deploy to my Generic Weblogic 8.1. server. It will
> successfully deploy if I do it manually through the console, but within
> WTP I get error messages like "Module type is not compatible" and "Publish
> failed using ant publisher".
>
> I found a bug report describing exactly my situation
> (https://bugs.eclipse.org/bugs/show_bug.cgi?id=121798), but that applied
> to a previous version and has since been fixed. Is there *anything* I may
> be missing??
>
> Thanks for any input.
>
>
Re: Has anyone successfully deployed a WTP ear to Weblogic 8.1? [message #184430 is a reply to message #183514] Mon, 11 December 2006 19:36 Go to previous message
Eclipse User
Originally posted by: nospam.nospam.com

Thanks. I did look for that typo, but unfortunately didn't have it. I really
don't know what else could be wrong, as I can't even deploy the tutorial
app.

"Rob Frost" <rfrost@bea.com> wrote in message
news:ekl2m3$vca$1@utils.eclipse.org...
> Hi,
>
> I just successfully deployed and executed an EAR with web child module
> using the generic WebLogic 8.1 adapter in the final 1.5.2 WTP release
>
> The problem you are hitting does sound similar to bug 121798 - you can
> verify that one by looking at the contents of the following file in your
> eclipse install:
> plugins\org.eclipse.jst.server.generic.serverdefinitions_1.0 .0\servers\weblogic81.serverdefIf
> it contains <type>jjst.ear</type>, you do not have a version with the
> fix.-Rob
Previous Topic:Ctrl/Option left and right in jsps
Next Topic:ejbdoclet out-of-memory
Goto Forum:
  


Current Time: Wed Oct 01 20:26:37 GMT 2014

Powered by FUDForum. Page generated in 0.03244 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software